You are not logged in.

#1 2013-08-07 12:00:44

ffjia
Member
Registered: 2009-08-26
Posts: 94

[SOLVED] mplayer2 missing shared libraries

Hi there,

After upgrading mplayer2 to version "20130428-4", I found that it cannot link to some shared libraries, including:

        libgif.so.6 => not found
        libavcodec.so.55 => not found
        libavformat.so.55 => not found

$ ldd `which mplayer`
        linux-vdso.so.1 (0x00007fff69dfe000)
        libncursesw.so.5 => /usr/lib/libncursesw.so.5 (0x00007fdd9df1d000)
        libquvi.so.7 => /usr/lib/libquvi.so.7 (0x00007fdd9dd12000)
        libvdpau.so.1 => /usr/lib/libvdpau.so.1 (0x00007fdd9db0e000)
        libcaca.so.0 => /usr/lib/libcaca.so.0 (0x00007fdd9d840000)
        libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007fdd9d60b000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00007fdd9d3f5000)
        libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0x00007fdd9d1a0000)
        libgif.so.6 => not found
        libpulse.so.0 => /usr/lib/libpulse.so.0 (0x00007fdd9cf56000)
        libjack.so.0 => /usr/lib/libjack.so.0 (0x00007fdd9cd39000)
        libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007fdd9cb1d000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0x00007fdd9c826000)
        libbluray.so.1 => /usr/lib/libbluray.so.1 (0x00007fdd9c5fd000)
        libdvdread.so.4 => /usr/lib/libdvdread.so.4 (0x00007fdd9c3e0000)
        libcdio_paranoia.so.1 => /usr/lib/libcdio_paranoia.so.1 (0x00007fdd9c1d8000)
        libcdio_cdda.so.1 => /usr/lib/libcdio_cdda.so.1 (0x00007fdd9bfd0000)
        libcdio.so.14 => /usr/lib/libcdio.so.14 (0x00007fdd9bda7000)
        libm.so.6 => /usr/lib/libm.so.6 (0x00007fdd9baa9000)
        libass.so.4 => /usr/lib/libass.so.4 (0x00007fdd9b88e000)
        libenca.so.0 => /usr/lib/libenca.so.0 (0x00007fdd9b65b000)
        libmad.so.0 => /usr/lib/libmad.so.0 (0x00007fdd9b43b000)
        libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0x00007fdd9b20e000)
        libogg.so.0 => /usr/lib/libogg.so.0 (0x00007fdd9b007000)
        libtheora.so.0 => /usr/lib/libtheora.so.0 (0x00007fdd9adb8000)
        libmpg123.so.0 => /usr/lib/libmpg123.so.0 (0x00007fdd9ab64000)
        liba52.so.0 => /usr/lib/liba52.so.0 (0x00007fdd9a952000)
        libdca.so.0 => /usr/lib/libdca.so.0 (0x00007fdd9a729000)
        libfaad.so.2 => /usr/lib/libfaad.so.2 (0x00007fdd9a4e6000)
        libavutil.so.52 => /usr/lib/libavutil.so.52 (0x00007fdd9a2b2000)
        libavcodec.so.55 => not found
        libavformat.so.55 => not found
        libswscale.so.2 => /usr/lib/libswscale.so.2 (0x00007fdd9a062000)
        libpostproc.so.52 => /usr/lib/libpostproc.so.52 (0x00007fdd99e44000)
        libavresample.so.1 => /usr/lib/libavresample.so.1 (0x00007fdd99c25000)
        libxvidcore.so.4 => /usr/lib/libxvidcore.so.4 (0x00007fdd9990d000)
        libdl.so.2 => /usr/lib/libdl.so.2 (0x00007fdd99709000)
        libdvdnavmini.so.4 => /usr/lib/libdvdnavmini.so.4 (0x00007fdd994f5000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00007fdd992e3000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00007fdd98fa8000)
        libXss.so.1 => /usr/lib/libXss.so.1 (0x00007fdd98da4000)
        libXv.so.1 => /usr/lib/libXv.so.1 (0x00007fdd98b9e000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00007fdd9899b000)
        libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x00007fdd98795000)
        libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x00007fdd984fd000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0x00007fdd9829f000)
        liblirc_client.so.0 => /usr/lib/liblirc_client.so.0 (0x00007fdd98098000)
        libc.so.6 => /usr/lib/libc.so.6 (0x00007fdd97ceb000)
        libcurl.so.4 => /usr/lib/libcurl.so.4 (0x00007fdd97a88000)
        liblua.so.5.2 => /usr/lib/liblua.so.5.2 (0x00007fdd97856000)
        libjson-c.so.2 => /usr/lib/libjson-c.so.2 (0x00007fdd9764b000)
        libpulsecommon-4.0.so => /usr/lib/pulseaudio/libpulsecommon-4.0.so (0x00007fdd973de000)
        libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0x00007fdd97197000)
        librt.so.1 => /usr/lib/librt.so.1 (0x00007fdd96f8f000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fdd9e17c000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00007fdd96c27000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007fdd9696d000)
        libfribidi.so.0 => /usr/lib/libfribidi.so.0 (0x00007fdd96754000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007fdd96518000)
        libltdl.so.7 => /usr/lib/libltdl.so.7 (0x00007fdd9630e000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007fdd960ef000)
        libglapi.so.0 => /usr/lib/libglapi.so.0 (0x00007fdd95ec9000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007fdd95cc6000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007fdd95ac0000)
        libX11-xcb.so.1 => /usr/lib/libX11-xcb.so.1 (0x00007fdd958be000)
        libxcb-glx.so.0 => /usr/lib/libxcb-glx.so.0 (0x00007fdd956a6000)
        libxcb-dri2.so.0 => /usr/lib/libxcb-dri2.so.0 (0x00007fdd954a1000)
        libdrm.so.2 => /usr/lib/libdrm.so.2 (0x00007fdd9e34f000)
        libssh2.so.1 => /usr/lib/libssh2.so.1 (0x00007fdd95278000)
        libssl.so.1.0.0 => /usr/lib/libssl.so.1.0.0 (0x00007fdd9500c000)
        libcrypto.so.1.0.0 => /usr/lib/libcrypto.so.1.0.0 (0x00007fdd94c02000)
        libsndfile.so.1 => /usr/lib/libsndfile.so.1 (0x00007fdd9499c000)
        libasyncns.so.0 => /usr/lib/libasyncns.so.0 (0x00007fdd94796000)
        liblzma.so.5 => /usr/lib/liblzma.so.5 (0x00007fdd94573000)
        libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007fdd94363000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007fdd94139000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00007fdd93f35000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007fdd93d2f000)
        libFLAC.so.8 => /usr/lib/libFLAC.so.8 (0x00007fdd93afd000)
        libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0x00007fdd9362e000)
        libnsl.so.1 => /usr/lib/libnsl.so.1 (0x00007fdd93416000)
        libresolv.so.2 => /usr/lib/libresolv.so.2 (0x00007fdd931ff000)

Downgrading to version "20130428-1" solved the problem.

Anyone also encounter this? Is it a packaging issue? Thanks.

Last edited by ffjia (2013-08-07 12:53:14)

Offline

#2 2013-08-07 12:24:56

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: [SOLVED] mplayer2 missing shared libraries

Partial updates are unsupported - did you update the whole system or just one or two packages?

Works fine here.

Offline

#3 2013-08-07 12:25:42

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 13,696
Website

Re: [SOLVED] mplayer2 missing shared libraries

Are you up to date?


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Online

#4 2013-08-07 12:52:16

ffjia
Member
Registered: 2009-08-26
Posts: 94

Re: [SOLVED] mplayer2 missing shared libraries

Sorry guys, I had a problem updating "extra" repo, and did a partial updates.

Re-sync the repository solved the issue, thanks.

Offline

Board footer

Powered by FluxBB